unit UnitMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, FileUtil, orca_scene2d, TplDBTreeviewUnit, ZDataset, ZConnection, LSControls, vte_dbtree,
		vte_dbtreeex, VpContactGrid, VpTaskList, VpDateEdit, Forms, Controls, Graphics, Dialogs, DBGrids;

type

		{ TForm1 }

  TForm1 = class(TForm)
				Background1 : TD2Background;
				CalendarBox1 : TD2CalendarBox;
				D2Scene1 : TD2Scene;
				DataSource1 : TDataSource;
				DBGrid1 : TD2DBGrid;
				Root1 : TD2Background;
				ZConnection1 : TZConnection;
				ZQuery1 : TZQuery;
				procedure FormClose(Sender : TObject; var CloseAction : TCloseAction);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1 : TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormClose(Sender : TObject; var CloseAction : TCloseAction);
var
  i : integer;
begin
  ZQuery1.Close;

  for i := 0 to DBGrid1.ColumnCount - 1 do
      begin
        DBGrid1.Columns[i].Free;
						end;

  DBGrid1.DataSource := nil;

  FreeAndNil( DBGrid1 );

end;

end.

